# $Revision: 1.95 $, $Date: 2012/04/06 19:34:18 $
#
Summary:	Very easy to use GNOME Jabber client
Summary(pl.UTF-8):	Bardzo prosty w użyciu klient Jabbera dla GNOME
Name:		gossip
Version:	0.31
Release:	7
License:	GPL
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gossip/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	feacf7a78ced249268898d2a3f7063cd
Patch0:		%{name}-libnotify.patch
URL:		http://live.gnome.org/Gossip/
BuildRequires:	aspell-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-panel-devel >= 2.16.2
BuildRequires:	gnutls-devel >= 1.2.5
BuildRequires:	gtk+2-devel >= 2:2.10.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	iso-codes
BuildRequires:	libgalago-devel >= 0.5.1
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libgnomeui-devel >= 2.16.1
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	loudmouth-devel >= 1.3.4
BuildRequires:	pkgconfig >= 1:0.16
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xorg-lib-libXScrnSaver-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2 >= 2.16.0
Requires:	iso-codes
Requires:	loudmouth >= 1.0.4
Obsoletes:	gnome-jabber
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gossip aims at making Instant Messaging with Jabber as easy as
possible.

%description -l pl.UTF-8
Celem Gossipa jest komunikowanie się przy pomocy Jabbera najprościej
jak to tylko możliwe.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--enable-aspell \
	--enable-dbus \
	--enable-galago \
	--enable-libnotify
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gossip.schemas
%scrollkeeper_update_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall gossip.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/sounds/gossip
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/gconf/schemas/gossip.schemas
%{_sysconfdir}/sound/events/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gossip.spec,v $
Revision 1.95  2012/04/06 19:34:18  blues
- rel.7

Revision 1.94  2011/10/15 20:26:31  blues
- rel.6

Revision 1.93  2011/04/09 20:49:53  kiesiu
- patching against libnotify >= 0.7.0
- rel 5

Revision 1.92  2011/02/04 18:23:54  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.91  2010/11/01 20:20:30  arekm
- release 3

Revision 1.90  2010/10/13 13:42:46  blues
- rel.2

Revision 1.89  2009/09/22 18:32:45  duddits
- up to 0.31
- new URL

Revision 1.88  2008/07/21 21:15:07  aredridel
- 0.30

Revision 1.87  2008/05/08 10:39:12  wrobell
- telepathy seems to not be supported (empathy is your alternative if you
  want telepathy, imho)

Revision 1.86  2008-05-08 10:35:24  wrobell
- ver. 0.29

Revision 1.85  2007-11-10 23:07:32  aredridel
- 0.28

Revision 1.84  2007/11/04 23:10:25  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.83  2007/06/01 15:36:22  qboosh
- unified

Revision 1.82  2007/06/01 14:48:55  aredridel
- 0.26

Revision 1.81  2007/06/01 00:51:29  aredridel
- add pixbuf fix

Revision 1.80  2007/05/30 00:19:51  aredridel
- unconditionally compile galago support

Revision 1.79  2007/05/30 00:19:17  aredridel
- 0.25
- fix galago

Revision 1.78  2007/05/14 22:42:59  aredridel
- add bconded telepathy support

Revision 1.77  2007/03/13 22:23:57  blues
- R: iso-codes - without that it catches sig11 and spellchecking is not
  possible.

Revision 1.76  2007/02/24 22:40:10  megabajt
- release 2 to rebuild with new libgalago

Revision 1.75  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.74  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.73  2007/01/12 03:36:49  aredridel
- 0.22

Revision 1.72  2007/01/06 17:40:30  megabajt
- 0.21

Revision 1.71  2006/12/25 15:02:40  megabajt
- up to 0.20

Revision 1.70  2006/11/09 20:12:10  aredridel
- 0.19

Revision 1.69  2006/10/16 18:26:57  aredridel
- 0.18

Revision 1.68  2006/09/24 19:59:56  aredridel
- 0.17

Revision 1.67  2006/09/16 22:48:45  aredridel
- 0.16

Revision 1.66  2006/08/25 16:49:28  freetz
- 0.15

Revision 1.65  2006/08/10 17:42:34  freetz
- 0.14

Revision 1.64  2006/07/31 16:25:30  freetz
- 0.13, use macros

Revision 1.63  2006/07/15 20:44:59  freetz
- rel.2, --as-needed support

Revision 1.62  2006/07/05 17:32:11  freetz
- 0.12, updated deps, file list and configure options

Revision 1.61  2006/06/11 21:11:35  aredridel
- 0.11.2

Revision 1.59.2.1  2006/06/11 21:08:23  aredridel
- 0.11.2

Revision 1.60  2006/06/11 06:49:03  freetz
- rel.2, GNOME 2.15.x deps, (re)generate icon cache

Revision 1.59  2006/05/29 21:13:28  aredridel
- 0.11.1

Revision 1.58  2006/05/01 20:43:17  freetz
- 0.11, updated BR, configure options and file list

Revision 1.57  2006/04/16 12:52:20  blues
- this project obsoletes gnome-jabber.

Revision 1.56  2006/04/01 17:23:36  aredridel
- R: gnome-doc-utils
- R: libnotify >= 0.3.0

Revision 1.55  2006/03/20 00:11:51  aredridel
- up to 0.10.2

Revision 1.54  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.53  2006/02/25 20:48:26  freetz
- 0.10.1, updated/cleaned up BR, disable notification support (requires old
  libnotify API)

Revision 1.52  2006/02/24 01:25:15  aredridel
- added missing deps

Revision 1.51  2006/02/18 11:32:41  ankry
- tabs

Revision 1.50  2006/02/18 11:25:58  freetz
- updated dependencies / file list

Revision 1.49  2006/02/18 11:18:36  freetz
- started update to 0.10, NFY

Revision 1.48  2005/09/04 16:18:19  arekm
- rel 2

Revision 1.47  2005/08/14 17:39:43  freetz
- merged from DEVEL branch

Revision 1.45.2.7  2005/08/14 17:26:40  freetz
- even more BRs

Revision 1.45.2.6  2005/08/14 17:24:04  freetz
- cleanup, updated BRs/Rs

Revision 1.45.2.5  2005/08/14 17:20:05  freetz
- 0.9, will be merged to HEAD shortly

Revision 1.45.2.4  2005/07/24 09:18:52  freetz
- md5

Revision 1.45.2.3  2005/07/23 11:46:48  freetz
- snap 20050723, dropped dbus support (experimental, broken, etc.),
  %%files update

Revision 1.45.2.2  2005/04/13 08:33:31  freetz
- snap 20050413

Revision 1.45.2.1  2005/04/08 09:28:22  freetz
- 0.8.90, new style macros, updated BRs/Rs, more %%doc

Revision 1.45  2005/01/08 03:30:12  wrobell
- rel. 2 due to fixed bug when non-existing contact is entered

Revision 1.44  2004/12/27 17:50:54  freetz
- 0.8, same features as 0.7.x, no transports yet (still on branch :\)
  ready for STBR

Revision 1.43  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.42  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.41  2004/09/02 21:33:38  aredridel
- up to 0.7.8

Revision 1.40  2004/08/29 13:24:43  krzak
- update locale_names.patch
- --enable-dbus
- rel. 2

Revision 1.39  2004/08/27 08:54:52  aflinta
- up to verrsion 0.7.7

Revision 1.38  2004/08/20 16:36:26  krzak
- BuildRequires:  dbus-glib-devel >= 0.22

Revision 1.37  2004/08/19 10:59:17  krzak
- dbus.patch - fixes for new dbus

Revision 1.36  2004/08/15 01:10:46  aredridel
- new dbus broke gossip
- STBR
- rel 3

Revision 1.35  2004/07/23 05:08:32  ankry
- Cattegories fif in desktop (desktop patch)
- no -> nb (locale_names patch)
- rel. 2

Revision 1.34  2004/06/25 17:18:27  freetz
- desktop.patch is already in sources (removed)

Revision 1.33  2004/06/25 02:11:45  aredridel
- up to 0.7.6

Revision 1.32  2004/06/12 09:58:57  freetz
- desktop patch added (add InstantMessaging; to Categories)

Revision 1.31  2004/04/28 17:33:43  freetz
- 0.7.5

Revision 1.30  2004/04/08 09:13:28  wrobell
- rel. 2

Revision 1.29  2004/03/19 11:50:37  freetz
- 0.7.4 (bugfix release)

Revision 1.28  2004/03/18 23:03:46  freetz
- 0.7.3

Revision 1.27  2004/03/16 15:57:21  wrobell
- rel. 2 to rebuild with new openldap on nest builders

Revision 1.26  2004/02/10 15:02:37  aflinta
- up to version 0.7.2

Revision 1.25  2004/02/01 21:11:45  krzak
- BR: libxslt-devel

Revision 1.24  2004/01/26 00:06:16  undefine
- release 1 to rebuild with new gnutls

Revision 1.23  2004/01/23 14:00:12  freetz
- removed home made icon - it includes already original one
- removed .desktop file patch (same as above)
- schemas patch added (fixes postinstall warning message)
- rel. 0.2

Revision 1.22  2004/01/23 12:13:31  wrobell
- ver. 0.7.1

Revision 1.21  2003/11/28 21:28:22  freetz
- 20031128 snap (post 0.6 bugfixes)
- sexy icon added ;)

Revision 1.20  2003/11/23 01:30:39  krzak
- updated URL
- desktop-icon.patch set icon in desktop file
- rel 2

Revision 1.19  2003/11/19 04:27:14  aredridel
- up to 1.1, so rel > 0.cvs.1

Revision 1.18  2003/11/18 15:41:29  freetz
- relase down - roster problems! (mainly groups deleting, doesn't recognize
  icq transport as transoprt, etc)

Revision 1.17  2003/11/18 15:20:13  freetz
- 0.6
- BR loudmouth-devel >= 0.14.1
- no %%config for schemas

Revision 1.16  2003/11/10 23:22:21  qboosh
- BR: ac,am,lt

Revision 1.15  2003/11/06 22:45:02  aredridel
- up to 20031106

Revision 1.14  2003/11/05 05:59:13  aredridel
- up to 20031103
- has new tree-view window

Revision 1.13  2003/10/30 17:08:08  aredridel
- up to 20031029

Revision 1.12  2003/10/19 19:32:46  aredridel
- up to cvs 20031019

Revision 1.11  2003/10/15 04:41:49  aredridel
- updated to latest CVS

Revision 1.10  2003/10/02 00:31:23  aredridel
- updated to cvs version 2003-10-01

Revision 1.9  2003/09/30 20:18:23  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.8  2003/08/15 12:59:23  aflinta
- version 0.5

Revision 1.7  2003/08/06 03:26:55  aredridel
- added BR gnome-common -- gnome2-macros

Revision 1.6  2003/08/05 12:19:55  ankry
- cosmetics

Revision 1.5  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.4  2003/07/17 22:52:12  freetz
- up to fresh 0.4 version
- added new BRs (schemas install), post macros
- updated files list

Revision 1.3  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.2  2003/07/08 16:12:17  freetz
- updated/corrected descriptions
- desktop-file-utils kicked out (useless)
- works nice and stable
- addded TODO and small note

Revision 1.1  2003/07/08 09:13:44  freetz
- initial PLD release
  note: evolution in production NFY
